Reply to topic

Kdenlive crashes on almost everything I try to do!

korakios
Registered Member
Posts
11
Karma
0
kdenlive -v:
Code: Select all
Qt: 4.8.2
KDE Development Platform: 4.12.3
Kdenlive: 0.9.6


Running kdenlive thru terminal
Code: Select all
kdenlive(4284)/kdeui (KIconLoader): Error: standard icon theme "oxygen" not found!

QWidget::setMaximumSize: (/QToolButton) Negative sizes (2,-2) are not possible
QWidget::setMaximumSize: (/QToolButton) Negative sizes (2,-2) are not possible
QWidget::setMaximumSize: (/QToolButton) Negative sizes (2,-2) are not possible
QWidget::setMaximumSize: (/QToolButton) Negative sizes (2,-2) are not possible
QWidget::setMaximumSize: (/QToolButton) Negative sizes (2,-2) are not possible
QWidget::setMaximumSize: (/QToolButton) Negative sizes (2,-2) are not possible
QWidget::setMaximumSize: (/QToolButton) Negative sizes (2,-2) are not possible
QWidget::setMaximumSize: (/QToolButton) Negative sizes (2,-2) are not possible
QWidget::setMaximumSize: (/QToolButton) Negative sizes (2,-2) are not possible
QWidget::setMaximumSize: (/QToolButton) Negative sizes (2,-2) are not possible
QWidget::setMaximumSize: (/QToolButton) Negative sizes (2,-2) are not possible
QWidget::setMaximumSize: (/QToolButton) Negative sizes (2,-2) are not possible
QWidget::setMaximumSize: (/QToolButton) Negative sizes (2,-2) are not possible
QWidget::setMaximumSize: (/QToolButton) Negative sizes (2,-2) are not possible
QWidget::insertAction: Attempt to insert null action
QWidget::insertAction: Attempt to insert null action
KCrash: Application 'kdenlive' crashing...
KCrash: Attempting to start  from kdeinit
sock_file=/home/zakis/.kde/socket-zakisubuntu120404/kdeinit4__0
Warning: connect() failed: : [i]Δεν υπάρχει τέτοιο αρχείο ή κατάλογος[/i](=meaning: no such file or directory)
KCrash: Attempting to start  directly
KCrash failed to exec(), errno = 2
Unable to start Dr. Konqi
Not forwarding the crash to Apport.

By running kdenlive --nocrashhandler I grabbed a dump file if usable
https://app.box.com/s/u5xln7vmp85a6u4zug1g

If anything else needed tell me.Generally speaking kdenlive crashes on almost every action such as opening a project(when I click the "open" tab)
I am on ubuntu 12.04 with KxStudio repositories. But I also added "ppa:sunab/kdenlive-release".
Any help?
User avatar bcooksley
Administrator
Posts
19743
Karma
85
OS
If you have a core file available, please load it in gdb and use that to generate a backtrace. To get a usable trace you'll need to install various debugging symbols - from kdelibs, qt, mlt, kdenlive, etc.


System Settings and Device Actions KCM maintainer
Image
korakios
Registered Member
Posts
11
Karma
0
I tried qt, mlt, kdenlive debugging symbols and while running again "kdenlive --nocrashhandler" via terminal I got "....(segmentation fault) (core dumped)"
The file I previously uploaded was from var/crash on ubuntu system. I don't know if by installing the debugging symbols made the new file:
_usr_bin_kdenlive.1000.crash
more useful.
Gdb can't load that file. Plus I have no idea how to use it. For me right know kdenlive is unusable. I'll have to wait for next version I guess...
User avatar Steve Guilford
Registered Member
Posts
188
Karma
0
korakios wrote:I tried qt, mlt, kdenlive debugging symbols and while running again "kdenlive --nocrashhandler" via terminal I got "....(segmentation fault) (core dumped)"
The file I previously uploaded was from var/crash on ubuntu system. I don't know if by installing the debugging symbols made the new file:
_usr_bin_kdenlive.1000.crash
more useful.
Gdb can't load that file. Plus I have no idea how to use it. For me right know kdenlive is unusable. I'll have to wait for next version I guess...

I'm using 0.9.7 w/out problems. I'm on Ubu 12.04. Something must be wrong w/ your setup. Try building an isolated version of KdenLive by using this script: http://www.mltframework.org/bin/view/MLT/BuildScripts#
korakios
Registered Member
Posts
11
Karma
0
I give up!I followed the guide and I get:
Code: Select all
checking pkg-config is at least version 0.9.0... yes
checking for Eigen3... no
configure: error: Package requirements (eigen3) were not met:

No package 'eigen3' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables Eigen3_CFLAGS
and Eigen3_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
ERROR: Unable to configure movit
LOG: Process has finished. Reason: FAILURE Some kind of error occured: Unable to configure movit


When "cmake.." I get
Code: Select all
-- checking for module 'mlt++'
--   package 'mlt++' not found
CMake Error at cmake/modules/FindLIBMLT.cmake:70 (message):
  Could not find MLT++
Call Stack (most recent call first):
  CMakeLists.txt:66 (find_package)


-- Configuring incomplete, errors occurred!

The cmake logs are :
https://app.box.com/s/una9gbph9acdavhww2gi
User avatar Steve Guilford
Registered Member
Posts
188
Karma
0
korakios wrote:I give up!I followed the guide and I get:

Not yet....

Type this from the root prompt: apt-get install libeigen3-dev

You'll probably have other dependencies to resolve so....hang in there...
korakios
Registered Member
Posts
11
Karma
0
Sorry ,just deleted everything, maybe I'll try again on next version or an independent version (placed on /opt). In my (poor) opinion the guide on
http://www.mltframework.org/bin/view/MLT/BuildScripts#
should mention all dependencies.
EDIT:
Forgot to say thank you for helping me!
User avatar Steve Guilford
Registered Member
Posts
188
Karma
0
korakios wrote:Sorry ,just deleted everything, maybe I'll try again on next version or an independent version (placed on /opt). In my (poor) opinion the guide on
http://www.mltframework.org/bin/view/MLT/BuildScripts#
should mention all dependencies.
EDIT:
Forgot to say thank you for helping me!

You're welcome. We tried at least...
User avatar bcooksley
Administrator
Posts
19743
Karma
85
OS
How did you try to load the core file?
Can you try running it as follows?
Code: Select all
gdb --core=/path/to/core/file.core /usr/bin/kdenlive


System Settings and Device Actions KCM maintainer
Image
korakios
Registered Member
Posts
11
Karma
0
Used
Code: Select all
 apport-unpack
for _usr_bin_kdenlive.1000.crash and created CoreDump file.
But when I try loading with gdm
Code: Select all
gdb --core=CoreDump /usr/bin/kdenlive

I get
Code: Select all
Reading symbols from /usr/bin/kdenlive...Reading symbols from /usr/lib/debug/.build-id/42/adce8c19151e1406fec3aa6db2c02cc7ad2f1c.debug...done.
done.
[New LWP 7325]
[New LWP 7326]
[New LWP 7327]
[New LWP 7331]
[New LWP 7332]
[New LWP 7334]
[New LWP 7328]

warning: Can't read pathname for load map: Σφάλμα εισόδου/εξόδου.  //->(means IO error)
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

warning: no loadable sections found in added symbol-file system-supplied DSO at 0x7fff1c1ea000
Core was generated by `kdenlive --nocrashhandler'.
Program terminated with signal 11, Segmentation fault.
#0  0x00007f3fd1b3324b in KFileDialog::KFileDialog(KUrl const&, QString const&, QWidget*, QWidget*) () from /usr/lib/libkio.so.5


The ubuntu crash handler report has some info ,if you want I can copy paste here.
Before kdenlive crash I also get in terminal
Code: Select all
Could not find 'klauncher' executable.
kdeinit4: Communication error with launcher. Exiting!

Thanks again!I tried some other video editors and ...I really need kdenlive!
normcross
Registered Member
Posts
300
Karma
0
I've been looking down your list of horror stories but the first one that stuck out was:-

"Could not find MLT++"

Can you make sure that you don't have several versions of MLT installed

In a terminal :- ls -la /usr/lib/libmlt*

You should only have the four and looks something like this, most likely with different dates and version numbers:-

ls -la /usr/lib/libmlt*
-rw-r--r-- 1 root root 182872 Apr 12 09:59 /usr/lib/libmlt.so.0.9.1
-rw-r--r-- 1 root root 127248 Apr 12 09:59 /usr/lib/libmlt++.so.0.9.1
lrwxrwxrwx 1 root root 17 Apr 12 09:59 /usr/lib/libmlt++.so.3 -> libmlt++.so.0.9.1
lrwxrwxrwx 1 root root 15 Apr 12 09:59 /usr/lib/libmlt.so.6 -> libmlt.so.0.9.1

Also, try MLT's command line player from a terminal:

melt myclip.mpg

Does it work.

The BuildScripts and sunab.svn (TESTING) now contain "Movit" which uses your GPU and it's openGL capabilities.

My three year old integrated Radeon HD graphics just wouldn't work so I had to buy a new graphics card. Now it does work.

If you haven't already, you could try out the latest version of Kdenlive from here:-

http://builds.meltytech.com/kdenlive/latest.rss

It will not affect your system install. Just download your 12.04 version (64 or 32bit), unpack it in a folder somewhere and run the start-kdenlive script. It also offers you the opportunity to run "gdb" if you want.

You can but try but keep :-)
korakios
Registered Member
Posts
11
Karma
0
Hi,
my libmlt is located at
/usr/lib/x86_64-linux-gnu/
and not usr/bin
Code: Select all
-rw-r--r-- 1 root root 157544 Σεπ  10  2013 /usr/lib/x86_64-linux-gnu/libmlt.so.0.8.8
-rw-r--r-- 1 root root 120824 Σεπ  10  2013 /usr/lib/x86_64-linux-gnu/libmlt++.so.0.8.8
lrwxrwxrwx 1 root root     17 Σεπ  10  2013 /usr/lib/x86_64-linux-gnu/libmlt++.so.3 -> libmlt++.so.0.8.8
lrwxrwxrwx 1 root root     15 Σεπ  10  2013 /usr/lib/x86_64-linux-gnu/libmlt.so.5 -> libmlt.so.0.8.8


"melt myclip.mpg" works well.

but unfortunatelly same think happens on latest built.
Kdenlive crashes in almost every action I do.
EDIT:
By running "./start-kdenlive -g" I get an output file:
https://app.box.com/s/1rm169sgywm8wk9sn2g3
By running "./start-kdenlive --nocrashhandler -g" I get an output file:
https://app.box.com/s/xtp7iud2e3awllsc2nnb
normcross
Registered Member
Posts
300
Karma
0
Hi,

It says:-

"We're sorry, but we can't preview .kampnxnm files."

and wants me to download it. Usually these output files are just simple text files and so I just stick a ".txt" on the end.

Cheers.
User avatar Steve Guilford
Registered Member
Posts
188
Karma
0
korakios wrote:Hi,
my libmlt is located at
/usr/lib/x86_64-linux-gnu/
and not usr/bin
Code: Select all
-rw-r--r-- 1 root root 157544 Σεπ  10  2013 /usr/lib/x86_64-linux-gnu/libmlt.so.0.8.8
-rw-r--r-- 1 root root 120824 Σεπ  10  2013 /usr/lib/x86_64-linux-gnu/libmlt++.so.0.8.8
lrwxrwxrwx 1 root root     17 Σεπ  10  2013 /usr/lib/x86_64-linux-gnu/libmlt++.so.3 -> libmlt++.so.0.8.8
lrwxrwxrwx 1 root root     15 Σεπ  10  2013 /usr/lib/x86_64-linux-gnu/libmlt.so.5 -> libmlt.so.0.8.8


"melt myclip.mpg" works well.

but unfortunatelly same think happens on latest built.
Kdenlive crashes in almost every action I do.
EDIT:
By running "./start-kdenlive -g" I get an output file:
https://app.box.com/s/1rm169sgywm8wk9sn2g3
By running "./start-kdenlive --nocrashhandler -g" I get an output file:
https://app.box.com/s/xtp7iud2e3awllsc2nnb


Your dump file indicates that KdenLive is cr4pp1ng out in the KFileDialog class. Earlier in the trace it complains about not being able to load KFILEMODULE...

I searched for
Failed to load configured file module "kfilemodule"

and found this:
http://askubuntu.com/questions/167426/kate-crashes-while-clicking-open
which indicates that you may have a file permission problem.

Give the solution described in the above link a try.
korakios
Registered Member
Posts
11
Karma
0
@Steve Guilford :
Thank you. I've already seen
http://askubuntu.com/questions/167426/k ... cking-open
and did the recommended steps.
But still bad luck I guess...

 
Reply to topic

Bookmarks



Who is online

Registered users: Baidu [Spider], Bing [Bot], Exabot [Bot], Google [Bot], google01103, La Ninje